/*
* Автор: Маркелов С.В.
* Дата: 2014-10-30
* Задача: http://192.168.2.17:3000/issues/798
* Назначение: Не отображаются запросы регистрации в AdminARM.
* Изменяются объекты:
    insert into MESSAGES_LIST_SETUP
*/

/*
  ****** Инструкции для SQLPlus (обязательно) ******
  Для печати сообщений:
  DBMS_OUTPUT.put_line('<Message>');
*/
whenever sqlerror exit 1;
set serveroutput on;
set echo off;

declare
	filename      varchar2(256) := 'sfm.database-update.2014-10-30.FixListSetupForAdminARM.sql';
	purpose       varchar2(4000) := 'Не отображаются запросы регистрации в AdminARM.';
	script_exists number := 0;
begin

	--delete from DB_Update_History where script_name = filename;	commit;
	select count(*)
		into script_exists
		from DB_Update_History
	 where script_name = filename;

	if (script_exists > 0) then
		RAISE_APPLICATION_ERROR(-20001, '"' || filename || '" уже присутствует в базе');
	else
		insert into DB_Update_History
			(script_name, purpose)
		values
			(filename, purpose);
	end if;

	insert into MESSAGES_LIST_SETUP
	select 101, STAGESID, STATUSID, DOCTYPE
    from MESSAGES_LIST_SETUP
	 where LISTID = 100;

	commit;

exception
	when others then
		rollback;
		raise;
end;
/
